package com.example.what_the_fantasy.ui.components

import android.widget.ImageView
import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column

import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxHeight
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.BottomAppBar
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.layout.onGloballyPositioned
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.unit.TextUnit
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.what_the_fantasy.R
import com.example.what_the_fantasy.ui.navigations.AppNavigator
import com.example.what_the_fantasy.ui.theme.colorNavBar


@Composable
fun NavBar(content : @Composable ()-> Unit ) {
    val nav = AppNavigator()

    Column(
        modifier = Modifier
            .fillMaxSize()
    ) {
        Row(
            modifier = Modifier
                .fillMaxWidth()
                .height(55.dp)
                .background(colorNavBar)
                .padding(10.dp),
            Arrangement.SpaceBetween,
            verticalAlignment = Alignment.Bottom
        ) {
            Button(onClick = {}, Modifier.background(Color.Unspecified)) {
                Text("Profile", fontSize = 25.sp, color = Color.White)
            }
            Button(onClick = {}) {
                Text("Theme", fontSize = 25.sp, color = Color.White)
            }

        }

        Box(modifier = Modifier.background(Color.Black).fillMaxHeight(0.92f)){
            content()
        }

        Row(modifier = Modifier
                .background(colorNavBar)
                .fillMaxSize(),
            horizontalArrangement = Arrangement.SpaceAround,
            verticalAlignment = Alignment.CenterVertically
        ) {

            Button(onClick = {}) {
                Text("Favorie", fontSize = 25.sp, color = Color.White)
            }

            Button(onClick = {}) {
                Image(
                    painter = painterResource(R.mipmap.ic_launcher_foreground),
                    contentDescription = "Accueil",
                    modifier = Modifier
                        .size(100.dp)
                )
            }

            Button(onClick = {}) {
                Text("Quiz", fontSize = 25.sp, color = Color.White)
            }

        }


    }
}